/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

.lea-ui-toolbar {
  min-height: 35px;
  position: relative;
  z-index: 10;
  display: flex;
  flex-direction: row;
  box-sizing: border-box;
  padding: 0.25rem 1rem;
  box-shadow: 0px 2px 2px #00000026;

  & .toolbar-left,
  & .toolbar-middle,
  & .toolbar-right {
    display: flex;
    flex-direction: row;
    align-items: center;
  }

  & .toolbar-left {
    flex: 1 1 0%;
    justify-content: flex-start;
    min-width: -webkit-min-content; /* Workaround to Chrome bug */
  }

  & .toolbar-middle {
    justify-content: center;
  }

  & .toolbar-middle:focus {
    outline: 2px solid #446cf1;
    outline-offset: 2px;
    border-radius: 2px;
  }

  & .toolbar-right {
    flex: 1 1 0%;
    justify-content: flex-end;
    min-width: -webkit-min-content; /* Workaround to Chrome bug */
  }
}
